{
    attributes = (
        {
            allowsNull = Y; 
            columnName = FDOM_ABREVIATION; 
            externalType = VARCHAR2; 
            name = fdomAbreviation; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = FDOM_CODE; 
            externalType = VARCHAR2; 
            name = fdomCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = FDOM_LIBELLE; 
            externalType = VARCHAR2; 
            name = fdomLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = FDOM_TYPE; 
            externalType = VARCHAR2; 
            name = fdomType; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = FDOM_VALIDITE; 
            externalType = VARCHAR2; 
            name = fdomValidite; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (fdomCode); 
    className = EOGenericRecord; 
    classProperties = (fdomCode, fdomLibelle, fdomAbreviation, fdomValidite, fdomType); 
    externalName = SCOL_FORMATION_DOMAINE; 
    fetchSpecificationDictionary = {}; 
    name = ScolFormationDomaine; 
    primaryKeyAttributes = (fdomCode); 
}
